Bug 196106 - Xsession script should not be executable.
Xsession script should not be executable.
Product: Fedora
Classification: Fedora
Component: fluxbox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-06-20 23:40 EDT by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-21 05:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-06-20 23:40:38 EDT
Description of problem:
Per the discussion on fedora-extras-list, Xsession entries should be only
world-readable, and not executable. Fluxbox includes
/usr/share/xsessions/fluxbox.desktop set with 755 permissions, but it should be 644.

Version-Release number of selected component (if applicable):
Comment 1 Andreas Bierfert 2006-06-23 03:04:32 EDT
will change this ...
Comment 2 Peter Gordon 2006-10-21 04:58:35 EDT
Hi, Andreas.

What is your status on fixing this? Should I commit the fix to CVS myself? (A
`chmod -x ...` in %install should do it.) 

Comment 3 Andreas Bierfert 2006-10-21 05:12:36 EDT
actuallu just about to commit this... =)
Comment 4 Andreas Bierfert 2006-10-21 05:54:45 EDT
Pushed :)
Comment 5 Peter Gordon 2006-10-21 05:58:58 EDT
Yay! Thanks.

Note You need to log in before you can comment on or make changes to this bug.